{ pkgs ? import <nixpkgs> {} }:
with pkgs; mkShell rec {
  buildInputs = [
    cargo
    rustc
    rust-analyzer
    pkg-config
    openimageio
    wayland
    libGL
    libxkbcommon
    egl-wayland
    vulkan-loader
  ];

  shellHook = ''
    export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:${lib.makeLibraryPath (buildInputs) }
  '';

  WINIT_UNIX_BACKEND="wayland";
}
